Remove Filter Values Handler
curl --request DELETE \
--url https://api.allium.so/api/v1/beam/{config_id}/transforms/{transform_uid}/filter-values \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"values": [
"<string>"
]
}
'import requests
url = "https://api.allium.so/api/v1/beam/{config_id}/transforms/{transform_uid}/filter-values"
payload = { "values": ["<string>"] }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({values: ['<string>']})
};
fetch('https://api.allium.so/api/v1/beam/{config_id}/transforms/{transform_uid}/filter-values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Filter Values
Remove filter values
Removes specific values from a set filter transform.
DELETE
/
api
/
v1
/
beam
/
{config_id}
/
transforms
/
{transform_uid}
/
filter-values
Remove Filter Values Handler
Removes specific values from the filter. Changes take effect immediately — no redeploy needed.
Path parameters:
Request body:
Response:
Required permission:
edit — owners and editors.| Parameter | Description |
|---|---|
config_id | Pipeline configuration ID |
transform_uid | UID of the set filter transform |
{
"values": ["0x3c499c542cef5e3811e1192ce70d8cc03d5c3359"]
}
| Field | Required | Description |
|---|---|---|
values | Yes | Array of string values to remove (min 1 item) |
curl -X DELETE https://api.allium.so/api/v1/beam/${CONFIG_ID}/transforms/${TRANSFORM_UID}/filter-values \
-H "X-API-Key: ${ALLIUM_API_KEY}" \
-H "Content-Type: application/json" \
-d '{ "values": ["0x3c499c542cef5e3811e1192ce70d8cc03d5c3359"] }'
{ "removed": 1 }
Was this page helpful?
⌘I